<?php

require_once '../app/model/db.class.php';


if ($_POST['accion']=='listado_docentes'){

     $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("SELECT profesores.cedula, profesores.nombres, usuarios.usuario, usuarios.contrasena,usuarios.email FROM profesores INNER JOIN
                              usuarios ON profesores.cedula = usuarios.id ORDER BY profesores.nombres;");

    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $listado = "<table border='1' cellspacing='0' cellpadding='0' width='70%'>";
        $l=1;
        $listado.="<tr style='font-weight:bold;font-size: 12px;' ALIGN=CENTER> <td><b>CODIGO</b></td>  <td><b>NOMBRES Y APELLIDOS</b></td>    <td><b>USUARIO</b></td>     <td><b>CONTRASE&Ntilde;A</b></td>  <td><b>EMAIL</b></td>   <td><b>ACTUALIZAR</b></td>";
        while($row =$obj->fetch_assoc($resultado)){
              $listado.="<tr style='font-weight:bold;font-size: 12px;'>";

              $listado.="<td>".$row['cedula']."</td>";
              $listado.="<td>".$row['nombres']."</td>";
              $listado.="<td><INPUT  VALUE='".$row['usuario']."' SIZE='20' TYPE='TEXT'    ID='U_".$row['cedula']."'></td>";
              $listado.="<td><INPUT  VALUE='".$row['contrasena']."' SIZE='20' TYPE='TEXT' ID='C_".$row['cedula']."'></td>";
              $listado.="<td><INPUT  VALUE='".$row['email']."' SIZE='20' TYPE='TEXT'     ID='E_".$row['cedula']."'></td>";
              
              $listado.="<td align='center'><img id='elemento2'  class='confirmar' src='../imagenes/diskette.jpg' height='25' width='30' alt='Actualizar Docente' title='Actualizar Docente'
                         onclick='actualizar(".$row['cedula'].")'></td>";

              $listado.="</tr>";
              $l++;
         }

         echo $listado;
    }

}

//--------------------------------------


if ($_POST['accion']=='actualizar'){

    $codigo=$_POST['codigo'];
    $usu=$_POST['usu'];
    $con=$_POST['con'];
    $email=$_POST['email'];
    
    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $resultado=$obj->consulta("UPDATE usuarios SET usuario='".$usu."',contrasena='".$con."',email='".$email."' where id='".$codigo."'");
    $obj->disconnect();
    
    echo "DOCENTE ACTUALIZADO ";


}



?>
